<#ibizinclude>../../@MACRO/FUNC/MACRO.ftl</#ibizinclude>
<#assign MDContent><#t>
<#if view.getPSSysCounterRef?? && view.getPSSysCounterRef()?? && view.getPSSysCounterRef().getPSAppCounter()??>
    <#assign appCounter = view.getPSSysCounterRef().getPSAppCounter() />
</#if>
<#if view.getViewType() == "DEGRIDVIEW9">
    <#if view.hasPSControl('searchbar')>
        ${P.getCtrlCode('searchbar', 'CONTROL.html').code}
    </#if>
    <#if view.hasPSControl('searchform')>
        ${P.getCtrlCode('searchform', 'CONTROL.html').code}
    </#if>
    <#--  BEGIN：视图内容区视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ./View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    <#--  END：视图内容区视图消息  -->
    <#if view.hasPSControl('grid')>
        ${P.getCtrlCode('grid', 'CONTROL.html').code}
    </#if>
</#if>
  <#--  BEGIN：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
<#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar') || view.isEnableQuickGroup() || view.getQuickPSDESearchForm()??)>
    <template #headerTop>
        <#if view.isShowCaptionBar()>
            <app-caption v-if="openType == 'EMBED'" :openType="openType" :caption="$t(model.srfCaption)"></app-caption>
        </#if>
        <#if view.hasPSControl('toolbar')>
            <@ibizindent blank=8>
            ${P.getCtrlCode('toolbar', 'CONTROL.html').code}<#t>
            </@ibizindent>
        </#if>
    </template>
    <template #headerContent>
        <#if view.isEnableQuickGroup()>
        <app-quick-group :items="quickGroupModel" <#if appCounter??>:counterService="${appCounter.getCodeName()?lower_case}counterservice"</#if> @valuechange="quickGroupValueChange"></app-quick-group>
        </#if>
        <#if view.isEnableQuickSearch()>
        <i-input v-model="query" class='quick-search-input' @on-enter="onSearch($event)" placeholder="<@getQuickSearchPlaceholder view />" />
        </#if>
        <#if view.getQuickPSDESearchForm()?? || view.hasPSControl('searchform') || view.hasPSControl('searchbar')>
        <div class="search-form-toggle" @click="toggleSearchForm">
            <i v-if="!isExpandSearchForm" class="el-icon-plus" />
            <i v-else class="el-icon-minus" />
            筛选条件
        </div>
        <#if view.hasPSControl('searchbar')>
        ${P.getCtrlCode('searchbar', 'CONTROL.html').code}
        </#if>
        </#if>
        <#if view.getQuickPSDESearchForm()??>
        <div class="quick-search-container">
        <#assign quickSearchForm = view.getQuickPSDESearchForm() />
        ${P.getCtrlCode(quickSearchForm, 'CONTROL.html').code}
        </div>
        </#if>
        <#if view.hasPSControl('searchform')>
        ${P.getCtrlCode('searchform', 'CONTROL.html').code}
        </#if>
    </template>
    <#if view.getQuickPSDESearchForm()?? || view.hasPSControl('searchform') || view.hasPSControl('searchbar')>
    <template #headerBottom>
        <i-button @click="onReset">重置</i-button>
        <i-button type="primary" @click="onSearch">搜索</i-button>
    </template>
    </#if>
</#if>
  <#--  END：快速搜索或工具栏存在  -->
<#if view.getViewType() != "DEGRIDVIEW9">
    <#--  BEGIN：视图内容区视图消息  -->
    <@ibizindent blank=8>
    <#ibizinclude>
    ./View_Pos_Body_Msgs.vue.ftl
    </#ibizinclude>
    </@ibizindent>
    <#--  END：视图内容区视图消息  -->
    <template #default>
        <#if view.hasPSControl('grid')>
            ${P.getCtrlCode('grid', 'CONTROL.html').code}
        </#if>
    </template>
</#if>
</#assign>
<app-grid-view-layout class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
        <@ibizindent blank=8>
          <#ibizinclude>
          ./VIEW_CAPTION.vue.ftl
          </#ibizinclude>
        </@ibizindent>
        <#--  BEGIN：视图顶部视图消息  -->
        <@ibizindent blank=12>
          <#ibizinclude>
          ./View_Pos_Top_Msgs.vue.ftl
          </#ibizinclude>
        </@ibizindent>
        <#--  END：视图顶部视图消息  -->
        <@ibizindent blank=12>
            <#ibizinclude>
            ./VIEW_MD_CONTENT.vue.ftl
            </#ibizinclude>
        </@ibizindent>
        <#--  BEGIN：视图底部视图消息  -->
        <@ibizindent blank=12>
            <#ibizinclude>
            ./View_Pos_Bottom_Msgs.vue.ftl
            </#ibizinclude>
        </@ibizindent>
        <#--  END：视图底部视图消息  -->
</app-grid-view-layout>