<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <card class='view-card <#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :disHover="true" :padding="0" :bordered="false">
            <#ibizinclude>
            ../@MACRO/VIEW_CAPTION.vue.ftl
            </#ibizinclude>
        <div slot="extra">
            <div class='toolbar-container'>
                <tooltip :transfer="true" :max-width="600" v-for="(linkItem, index) in linkModel" :key="index">
                        <i-button @click="dynamic_toolbar_click(linkItem, $event)">
                            <span class='caption'>{{linkItem.sequenceFlowName}}</span>
                        </i-button>
                    <div slot='content'>{{linkItem.sequenceFlowName}}</div>
                </tooltip>
            </div>
        </div>
        <div class="content-container">
<#if view.getPSControls?? && view.getPSControls()??>
    <#list view.getPSControls() as singleControl>
        <#if singleControl.getControlType?? && singleControl.getControlType()?? && singleControl.getControlType() == 'DRTAB'>
            <tabs :animated="false" name="${singleControl.codeName?lower_case}" class="content-container__drtab">
                <tab-pane tab="${singleControl.codeName?lower_case}" label="<#if singleControl.getEditItemCaption?? && singleControl.getEditItemCaption()??>${singleControl.getEditItemCaption()}<#else>activeForm.logicName</#if>">
                    <component 
                        :is="activeForm.name"
                        :isautoload="true"
                        :viewState="viewState"  
                        :viewparams="viewparams" 
                        :context="context" 
                        :autosave="false" 
                        :viewtag="viewtag"
                        :showBusyIndicator="activeForm.showBusyIndicator"
                        :updateAction="activeForm.updateAction"
                        :removeAction="activeForm.removeAction"
                        :loaddraftAction="activeForm.loaddraftAction"
                        :loadAction="activeForm.loadAction"
                        :createAction="activeForm.createAction"
                        :WFSubmitAction="activeForm.WFSubmitAction"
                        :WFStartAction="activeForm.WFStartAction"
                        name="form"  
                        ref='form' 
                        @save="form_save($event)"  
                        @remove="form_remove($event)"  
                        @load="form_load($event)"  
                        @closeview="closeView($event)">
                    </component>
                </tab-pane>
            <#if singleControl.getPSDEDRTabPages?? && singleControl.getPSDEDRTabPages()??>
                <#list singleControl.getPSDEDRTabPages() as tabPage>
                <tab-pane tab="${singleControl.codeName?lower_case}" label="${tabPage.getCaption()}" name="${tabPage.name}">
                    <#if tabPage.getPSAppView?? && tabPage.getPSAppView()??>
                    <component
                        is="${srffilepath2(tabPage.getPSAppView().codeName)}"
                        :viewDefaultUsage="false"
                        class="view-container2"
                        appDeCodeName="<#if view.getPSAppDataEntity?? && view.getPSAppDataEntity()??>${view.getPSAppDataEntity().codeName}</#if>"
                        :viewdata="JSON.stringify(context)"
                        :viewparam="JSON.stringify(viewparams)">
                    </component>
                    </#if>
                </tab-pane>
                </#list>
            </#if>
            </tabs>
        </#if>
    </#list>
</#if>
            
        </div>
    </card>
</div>